Name:           kbackup
Version:        0.8
Release:        11%{?dist}
Summary:        Back up your data in a simple, user friendly way
Summary(fr):    Sauvegarder vos données de manière simple et conviviale
Summary(ru):    Простое, дружественное к пользователю резервное копирование

License:        GPLv2
Url:            http://www.kde-apps.org/content/show.php?content=44998
Source0:        http://members.aon.at/m.koller/%{name}-%{version}.tar.bz2

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  kdelibs4-devel

%description
KBackup is a program that lets you back up any directories or files,
whereby it uses an easy to use directory tree to select the things to back up.
The program was designed to be very simple in its use
so that it can be used by non-computer experts.
The storage format is the well known TAR format, whereby the data
is still stored in compressed format (bzip2 or gzip).

%description -l fr
KBackup est un programme qui vous permet de sauvegarder n'importe quels
fichiers ou répertoires que vous pouvez sélectionner dans une arborescence.
Il a été conçu pour être facile d'utilisation et est donc à la portée des
non-initiés à l'informatique.
Le format de stockage est le très connu format TAR, où les données sont
stockées compressées (bzip2 ou gzip).

%description -l ru
KBackup позволяет делать резервное копирование любых каталогов и файлов,
используя простое представление в виде дерева каталогов для выбора элементов
копирования.
Программа спроектирована очень простой в использовании даже не экспертами в
области компьютеров.
Формат хранения архивов - хорошо известный TAR, форматы сжатия bzip2 или gzip.

%prep
%setup -q

%build
%cmake_kde4
make %{?_smp_mflags}

%install
%make_install

desktop-file-install --vendor="" \
  --dir %{buildroot}%{_datadir}/applications/kde4 \
  --add-category "Utility" \
  --add-category "X-KDE-Utilities-File" \
  --remove-category "X-SuSE-Backup" \
  --remove-category "X-MandrivaLinux-System-Archiving-Backup" \
  --remove-category "System" \
  src/%{name}.desktop

%find_lang %{name} --with-kde


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
touch --no-create %{_datadir}/mime/packages &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:
update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:
touch --no-create %{_datadir}/mime/packages &> /dev/null || :
update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :
fi

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING README TODO
%{_kde4_bindir}/*
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_appsdir}/%{name}/
%{_kde4_iconsdir}/hicolor/*/*/*.png
%{_datadir}/mime/packages/%{name}.xml

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.8-5
- Rebuilt for GCC 5 C++11 ABI change

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Aug 16 2014 Rex Dieter <rdieter@fedoraproject.org> 0.8-3
- use kde4 macros, update scriptlets

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Mar 26 2014 Vasiliy N. Glazov <vascom2@gmail.com> - 0.8-1
- Update to 0.8
- Clean spec
- Add russian description

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-3
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Mar 14 2011 Alain Portal <alain.portal[AT]univ-montp2[DOT]fr> 0.7.1-1
  - New upstream version
  - Update patch0

* Mon Feb  7 2011 Alain Portal <alain.portal[AT]univ-montp2[DOT]fr> 0.7-1
  - New upstream version
  - Update patch0
  - New patch1 : update french handbook

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon May 31 2010 Alain Portal <alain.portal[AT]univ-montp2[DOT]fr> 0.6.4-1
  - New upstream version
  - Update patch0
  - Patches 1 & 2 no more needed

* Sun Jan 10 2010 Alain Portal <alain.portal[AT]univ-montp2[DOT]fr> 0.6.3-3
  - Updated %%defattr macro

* Sat Jan  9 2010 Alain Portal <alain.portal[AT]univ-montp2[DOT]fr> 0.6.3-2
  - Don't add Application category in desktop file
  - Add update-mime-database in scriptlets
  - Update gtk-update-icon-cache use in scriptlets
  - Add %%posttrans scriptlet

* Sat Jan  9 2010 Alain Portal <alain.portal[AT]univ-montp2[DOT]fr> 0.6.3-1
  - New upstream version
  - Clean spec file for kde4
  - New patch0 : l10n-fr
  - New patch1 : update french handbook
  - New patch2 : Improve desktop entries

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Sep 14 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.5.4-1
- bump to new version
- desktop patch fix

* Mon Mar 31 2008 Rex Dieter <rdieter@fedoraproject.org> 0.5.3-4
- gcc43 patch (#434062)

* Wed Mar 12 2008 Kevin Kofler <Kevin tigcc ticalc org> 0.5.3-3
- BR kdelibs3-devel instead of kdelibs-devel (#434062)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.5.3-2
- Autorebuild for GCC 4.3

* Thu Oct 18 2007 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5.3-1
  - New upstream version
  - Update patch 0
  - Remove patch 1 that is no more needed

* Thu Sep  6 2007 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5.2-1
  - New upstream version
  - Update patch 1
  - Remove patch 2 that is no more needed

* Tue Aug 21 2007 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5.1-8
  - Licence tag clarification

* Thu Jul 12 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5.1-7
  - Disable parallel building until this is fixed by upstream

* Thu Jul 12 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5.1-6
  - Try a build without parallel make support

* Thu Jul 12 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5.1-5
  - Fix date in changelog

* Thu Jul 12 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5.1-4
  - Test if gtk-update-icon-cache exists before running it

* Wed Jul 11 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5.1-3
  - Add BR gettext

* Mon Oct  2 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5.1-2
  - Really add patch1

* Mon Oct  2 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5.1-1
  - New upstream tarball
  - Update patch1
  - Add new patch for french doc
  - Add Application category in desktop file
  - Fix symlink: english is the only language where common directory is in
  LANG directory while for other, common is in LANG/docs directory

* Wed Sep 27 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5-6
  - Link the good directories

* Tue Sep 26 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5-5
  - Fix absolute symlinks

* Mon Sep 25 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5-4
  - Install only one desktop file
  - Don't remove absolute symlinks
  - Update patch0

* Mon Sep 25 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5-3
  - desktop-file-install don't work as I expected, so update patch0

* Mon Sep 25 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5-2
  - Use macro for make
  - Don't own some directories
  - Update patch0 and patch1
  - Improve desktop-file installation

* Mon Sep 25 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5-1
  - New upstream version
  - Update patch0 and patch1
  - Remove patch2 that is no more needed

* Mon Sep 25 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.4.2-4
  - Requires(post,postun) desktop-file-utils no more needed since FC-5
  - Add %%post an %%postun for icons
  - Remove absolute symlinks

* Thu Sep 21 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.4.2-3
  - Use macro for configure instead of hardcoding path
  - Use macro style instead of variable style

* Thu Sep 21 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.4.2-2
  - Add patch to fix some typo in fr.po
  - Add patch to frenchify x-kbp.desktop

* Wed Sep 20 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.4.2-1
  - Initial Fedora RPM
  - Add patch to frenchify kbackup.desktop
